Subject: RE: ncftp - works, but doesn't display any prompts
From: "Richard Stanton" <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Thu, 25 Jan 2001 17:42:50 -0800

term=ansi. No idea why... term=cygwin works fine.

Thanks again.

Richard Stanton

> -----Original Message-----
> From: Charles S. Wilson [mailto:[email-masked]]
> Sent: Thursday, January 25, 2001 1:22 PM
> To: Richard Stanton
> Cc: Cygwin
> Subject: Re: ncftp - works, but doesn't display any prompts
>
>
> Richard Stanton wrote:
> >
> > Hmmm. HOME is set (in the NT environment) to "c:\home". I've also tried
> > "c:/home" and "/c/home". When I fire up bash and run "set", I see (among
> > other things):
> >
> > HISTFILE=/home/.bash_history
> > HOME=/home
> > HOMEDRIVE=C:
> > HOMEPATH='\'
> >
> > The bash history file is stored in c:\home\.bash_history, so
> bash uses the
> > directory I want (by the way, c:\home is mounted as /home), but ncftp
> > doesn't use the files in c:\home\.ncftp.
>
> Okay, it looks like your installation is messed up.  I've gleaned the
> following from your emails:
>
> C:\cygnus is mounted as /
>
> C:\home   is your home directory
> This gets mapped to /home on cygwin
>
> But /home should expand to C:\cygnus\home (given your mount points), not
> C:\home
>
> Yet, somehow, bash IS using C:\home\* and not C:\cygnus\home.  Do you
> have C:\home mounted to /home?  If so, then does am empty directory
> C:\cygnus\home actually exist, to provide the mount point?
>
> Please send the output of 'cygcheck -s -v -r' to the list.
>
> > Oh. One more thing... If I type "open" at the ncftp prompt, I see a nice
> > list of sites to choose from. When I scroll up and down the
> list, the format
> > of the highlighted item is different from that of the
> non-highlighted items
> > (the spacing is reduced), and this leave the entry messed up on
> the screen
> > after the highlighting moves onto the next item.
>
> I do not see this behavior in ANY of the following environments:
> rxvt window running bash, TERM=rxvt-cygwin
> dos box running bash, TERM=cygwin
> dos box (no bash), TERM=cygwin
>
> What are *you* using?
>
> --Chuck
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple